Bug 806557 - Review Request: python-django-followit - A django app that allows users to follow django model objects
Review Request: python-django-followit - A django app that allows users to fo...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Runge
Fedora Extras Quality Assurance
:
Depends On: 829706
Blocks: 736776
  Show dependency treegraph
 
Reported: 2012-03-24 15:34 EDT by Praveen Kumar
Modified: 2013-01-11 07:02 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-11 07:02:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mrunge: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Praveen Kumar 2012-03-24 15:34:35 EDT
Spec URL: http://kumarpraveen.fedorapeople.org/django-followit/python-django-followit.spec
SRPM URL: http://kumarpraveen.fedorapeople.org/django-followit/python-django-followit-0.0.3-2.fc16.src.rpm

Description: The django-followit django app allows to easily set up a
capability for the site users to follow various things on the site, represented
by django model objects.

koji : http://koji.fedoraproject.org/koji/taskinfo?taskID=3929883

rpmlint Output:
rpmlint -i python-django-followit.spec ~/rpmbuild/SRPMS/python-django-followit-0.0.3-2.fc16.src.rpm ~/rpmbuild/RPMS/noarch/python-django-followit-0.0.3-2.fc16.noarch.rpm 
2 packages and 1 specfiles checked; 0 errors, 0 warnings.
Comment 1 Praveen Kumar 2012-03-24 15:35:45 EDT
Please note: this is a rename review request for an existing package.
Comment 2 Matthias Runge 2012-03-24 15:41:44 EDT
some nitpicking:
obsoletes should be:
Obsoletes:      %{pkgname} < 0.0.3-2

(to really obsolete the version from last year)
Comment 3 Praveen Kumar 2012-03-24 22:07:30 EDT
(In reply to comment #2)
> some nitpicking:
> obsoletes should be:
> Obsoletes:      %{pkgname} < 0.0.3-2
> 
> (to really obsolete the version from last year)

Done

Spec URL:
http://kumarpraveen.fedorapeople.org/django-followit/python-django-followit.spec
SRPM URL:
http://kumarpraveen.fedorapeople.org/django-followit/python-django-followit-0.0.3-2.fc16.src.rpm

I didn't bump the version for this change.

I think then for https://bugzilla.redhat.com/show_bug.cgi?id=806299 also obsoletes should be %{pkgname} < 0.7-4 ? (because we have to Obsolete anything that is lower than the bumped release of the renamed package)
Comment 4 Matthias Runge 2012-03-25 04:08:11 EDT
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== Generic ====
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[x]: MUST Sources contain only permissible code or content.
[!]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: defattr(....) present in %files section. This is OK if packaging
     for EPEL5. Otherwise not needed
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[x]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
[x]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint output is silent.

rpmlint python-django-followit-0.0.3-2.fc18.src.rpm

1 packages and 0 specfiles checked; 0 errors, 0 warnings.


rpmlint python-django-followit-0.0.3-2.fc18.noarch.rpm

1 packages and 0 specfiles checked; 0 errors, 0 warnings.


[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
/home/mrunge/review/806557/django-followit-0.0.3.tar.gz :
  MD5SUM this package     : d5a675c5cd570ca91a5fb376153096ec
  MD5SUM upstream package : d5a675c5cd570ca91a5fb376153096ec

[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[-]: MUST Useful -debuginfo package or justification otherwise.
[x]: SHOULD Reviewer should test that the package builds in mock.
[x]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[?]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD SourceX is a working URL.
[x]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[-]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

Issues:
[!]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: defattr(....) present in %files section. This is OK if packaging
     for EPEL5. Otherwise not needed
See: http://fedoraproject.org/wiki/Packaging/Guidelines#FilePermissions

One real issue:
You should remove bundled .egg-info in prep-section
rm -rf django_followit.egg-info
(cf. https://fedoraproject.org/wiki/Packaging:Python_Eggs#Upstream_Eggs)

Since we're targeting f18 and later, you should also remove defattr from files-section. I'd appreciate, if you could be more specific in files-section regarding .egg-info. You should also use the %{modname} in the files section (or delete it at the top, you don't use it elsewhere).
Comment 5 Matthias Runge 2012-03-25 04:12:14 EDT
(In reply to comment #3)
> I think then for https://bugzilla.redhat.com/show_bug.cgi?id=806299 also
> obsoletes should be %{pkgname} < 0.7-4 ? (because we have to Obsolete anything
> that is lower than the bumped release of the renamed package)
You're right, I missed that. 

I'm just curious, where did you get that about obsolete: (I made the same error, so I guess, we had the same reference, and I'd like to correct the reference.)
Comment 6 Praveen Kumar 2012-03-25 05:06:49 EDT
(In reply to comment #5)
> (In reply to comment #3)
> > I think then for https://bugzilla.redhat.com/show_bug.cgi?id=806299 also
> > obsoletes should be %{pkgname} < 0.7-4 ? (because we have to Obsolete anything
> > that is lower than the bumped release of the renamed package)
> You're right, I missed that. 
> 
> I'm just curious, where did you get that about obsolete: (I made the same
> error, so I guess, we had the same reference, and I'd like to correct the
> reference.)

Well I got that right information from https://fedoraproject.org/wiki/User:Bkabrda/Django_rename#Django-foo but I interpreted it wrongly, when you pointed out I looked again and found out I made same mistake in previous request. I think reference is correct, we took it a wrong way.


(In reply to comment #4)
>One real issue:
>You should remove bundled .egg-info in prep-section
>rm -rf django_followit.egg-info
>(cf. https://fedoraproject.org/wiki/Packaging:Python_Eggs#Upstream_Eggs)

According to reference if egg-info contain any pre-compiled bytecode then we have to remove it but here it's only contain package information files, do we have to remove those also?
Comment 7 Matthias Runge 2012-03-25 05:15:58 EDT
Oh well, I removed those, they were re-generated during rpmbuild. 

I guess, "Do not distribute eggs from upstream" is explicit. (Taken from 
https://fedoraproject.org/wiki/Packaging:Python_Eggs#Upstream_Eggs  )
Comment 9 Matthias Runge 2012-03-25 05:49:17 EDT
Package is 

APPROVED
Comment 10 Praveen Kumar 2012-03-25 07:03:57 EDT
New Package SCM Request
=======================
Package Name: python-django-followit
Short Description: A django app that allows users to follow django model objects
Owners: kumarpraveen
Branches: devel
Comment 11 Gwyn Ciesla 2012-03-26 08:23:59 EDT
Git done (by process-git-requests).
Comment 12 François Cami 2013-01-11 07:02:46 EST
Built and shipped. Closing.

Note You need to log in before you can comment on or make changes to this bug.